<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingStart="12dp"
    android:paddingEnd="12dp"
    tools:context=".fragment.SettingFragment">

    <TextView
        android:id="@+id/setting_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:text="@string/setting_title"
        android:textColor="@color/text_color"
        android:textSize="24sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="17dp"
        android:paddingTop="16dp"
        android:background="@drawable/setting_linear_bg"
        android:orientation="vertical"
        app:layout_constraintTop_toBottomOf="@id/setting_title">

        <LinearLayout

            android:id="@+id/keyboard_setting"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:padding="16dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/setting_linear_item_bg"
                android:paddingBottom="20dp">

                <ImageView
                    android:id="@+id/keyboard"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_marginBottom="20dp"
                    android:src="@drawable/icon_setting"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="12dp"
                    android:text="@string/keyboardsettings"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    app:layout_constraintBottom_toBottomOf="@id/keyboard"
                    app:layout_constraintStart_toEndOf="@id/keyboard"
                    app:layout_constraintTop_toTopOf="@id/keyboard" />

                <ImageView
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:background="@drawable/icon_settingfg"
                    app:layout_constraintBottom_toBottomOf="@id/keyboard"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="@id/keyboard" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </LinearLayout>

        <LinearLayout

            android:id="@+id/keyboard_share"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:padding="16dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/setting_linear_item_bg"
                android:paddingBottom="20dp">

                <ImageView
                    android:id="@+id/img_share"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_marginBottom="20dp"
                    android:src="@drawable/icon_share"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="12dp"
                    android:text="@string/share_text"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    app:layout_constraintBottom_toBottomOf="@id/img_share"
                    app:layout_constraintStart_toEndOf="@id/img_share"
                    app:layout_constraintTop_toTopOf="@id/img_share" />

                <ImageView
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:background="@drawable/icon_settingfg"
                    app:layout_constraintBottom_toBottomOf="@id/img_share"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="@id/img_share" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </LinearLayout>

        <LinearLayout

            android:id="@+id/keyboard_version"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:padding="16dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingBottom="20dp">

                <ImageView
                    android:id="@+id/share"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_marginBottom="20dp"
                    android:src="@drawable/icon_version"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="12dp"
                    android:text="@string/version_text"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    app:layout_constraintBottom_toBottomOf="@id/share"
                    app:layout_constraintStart_toEndOf="@id/share"
                    app:layout_constraintTop_toTopOf="@id/share" />

                <ImageView
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:background="@drawable/icon_settingfg"
                    app:layout_constraintBottom_toBottomOf="@id/share"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="@id/share" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </LinearLayout>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>